% \version "2.12.3"
\version "2.13.42"

%TODO: Different beaming

\header {
        title = "Violin Sonata in D major, RV 810"
        composer = "Antonio Vivaldi (1678-1741)"
        mutopiatitle = "Violin sonata in D major, RV 810"
        mutopiacomposer = "VivaldiA"
        mutopiainstrument = "Violin, Basso Continuo"
        mutopiaopus = "RV 810"
        source = "SLUB Dresden, Mus.2389-R-12, http://digital.slub-dresden.de/id320919536"
        style = "Baroque"
        copyright = "Creative Commons Attribution-ShareAlike 3.0"
        maintainer = "Björn Sothmann"
        maintainerEmail = "bjoern.sothmann@rub.de"
        maintainerWeb = "http://www.thp.uni-due.de/~bjoerns"
}

\include "deutsch.ly"

globalA = {
  \key d \major
  \time 4/4
  \override Score.MetronomeMark #'stencil = ##f
  \tempo 4 = 60
}

violinA = \relative c'' {
  \globalA
  d16. a32 fis16. a32 d16. fis32 g16. fis32 e16. cis32 a8 r16 e' cis16. a32 |
  e'16. a,32 g16. cis32 e16. a,32 h16. g32 g8 fis r16 fis' d16. h32 |
  gis16. e'32 cis16. a32 fis16. d'32 h16. gis32 e16. gis32 gis16. h32 h16. gis32 fis16. d'32 |
  d16. h32 h16. gis'32 gis16. d32 d16. cis32 cis16. e32 a16. a,32 h8.\trill a16 |
  a32 e' a e a, e' a e a, e' a e a, e' a e a,2 \bar ":|:"
  e'16. a,32 e16. a32 cis16. e32 g16. e32 e8\trill d r16 f f16. h,32 |
  c16. e32 e16. g32 g16. c,32 c16. h32 ais16. g'32 fis16. h,32 cis8.\trill h16 |
  h4 r16 a h cis d16. a32 fis16. a32 d16. fis32 g16. fis32 |
  e16. cis32 a8 r16 a a16. d32 d16. fis,32 fis16. a32 a16. d,32 d16. c'32 |
  h32 g h d h g h d h g h d h g h d e16. gis,32 a16. h32 h16. e,32 e16. d'32 |
  cis32 a cis e cis a cis e cis a cis e cis a cis e g16. cis,32 cis16. e32 e16. a,32 a16. g'32 |
  fis32 d fis a fis d fis a fis d fis a fis d fis a f d f a f d f a f d f a f d f a |
  b,16. g32 g16. b32 b16. es32 es16. g32 cis,16. a32 fis'16. d32 cis8. d16 |
  d32 a d a fis a d a d, a' d a fis a d a d,2 \bar ":|"
}

bcMusicA = \relative c {
  \globalA
  d8 d d d a a a a |
  cis cis cis cis d d d d |
  e e d d gis, gis gis gis |
  gis gis e e a a e' e, |
  a4 r a2 \bar ":|:"
  a8 a ais ais h h h h |
  e e e e fis cis fis fis, |
  h h' a g fis fis d d |
  a' a g g fis fis d d |
  g4 r gis8 gis e e |
  a4 r cis,8 cis cis cis |
  d d d d d d d d |
  g g g g a d, a' a, |
  d4 r d2 \bar ":|"
}

violinPartA = \new Staff \with {
  instrumentName = "Violino"
  midiInstrument = "violin"
} \violinA

bassoContinuoPartA = \new Staff \with {
  instrumentName = "Basso continuo"
  midiInstrument = "harpsichord"
} << \clef bass \bcMusicA >>





globalB = {
  \key d \major
  \time 3/8
  \override Score.MetronomeMark #'stencil = ##f
  \tempo 4 = 100
}

violinB = \relative c'' {
  \globalB
  r16 d fis e d cis |
  d a d a fis a |
  d, d' fis e d cis |
  d a d a fis a |
  d, e fis d fis gis |
  a4 r8 |
  a16 a' g a a, a' |
  a, g' fis g a, g' |
  a, fis' e fis a, fis' |
  a, a' g a a, a' |
  a, g' fis g a, g' |
  a, fis' e fis a, fis' |
  a, a d a g fis |
  g h e h a gis |
  a cis fis cis h a |
  h d g d cis h |
  cis e a g fis e |
  fis e d cis h a |
  gis e' e e e, e' |
  fis, e' e e fis, e' |
  gis, e' e e gis, e' |
  a, e' fis gis a e |
  d cis h8. a16 |
  a e' a e cis e |
  a, e' a e cis e |
  a,4. \bar ":|:"
  r16 cis e d cis h |
  cis e a e cis e |
  a, cis e d cis h |
  cis e a e cis e |
  a, h cis a cis dis |
  e4 r8 |
  a16 h a h a h |
  a h a g fis e |
  d e d e d e |
  d e d cis h a |
  g' a g a g a |
  g a g fis e d |
  cis d cis d cis d |
  cis d cis h a g |
  fis' g fis g fis g |
  fis g fis e d cis |
  h d d fis fis g |
  g c, c e e ais, |
  ais g' fis e d cis |
  d e cis8.\trill h16 |
  h16 d d fis fis g |
  g a, a cis cis g' |
  g a, a cis cis g' |
  fis d fis e d cis |
  d a d a fis a |
  d, e fis d fis gis |
  a8 r16 a a d |
  d f f c c h |
  h g g h h e |
  e g g d d cis |
  cis a a a' a a |
  a a, a g' g g |
  g a, a fis' fis fis |
  fis a, a e' e e |
  e a, a a' a a |
  gis e e g g g |
  fis d d f f f |
  e cis cis d d e |
  e a, a g' g fis |
  d fis d fis d fis |
  d e d e d e |
  cis e cis e cis e |
  d a d a fis a |
  d, a' d a fis a |
  d,4. \bar ":|"
}

bcMusicB = \relative c {
  \globalB
  d4 r8 |
  d4 r8 |
  d4 r8 |
  d4 r8 |
  d4 r8 |
  cis8 cis h |
  a4 r8 |
  a4 r8 |
  a4 r8 |
  a4 r8 |
  a4 r8 |
  a4 r8 |
  fis'4 fis8 |
  g4 gis8 |
  a4 a8 |
  h4 h8 |
  cis4 cis8 |
  d4 d,8 |
  e4 e8 |
  fis4 fis8 |
  gis4 gis8 |
  a4 cis,8 |
  d8 e e, |
  a4 r8 |
  a4 r8 |
  a4. \bar ":|:"
  a4 r8 |
  a4 r8 |
  a4 r8 |
  a4 r8 |
  a'4 a8 |
  gis fis e |
  fis4 r8 |
  fis4 r8 |
  h4 r8 |
  h4 r8 |
  e,4 r8 |
  e4 r8 |
  a4 r8 |
  a4 r8 |
  d,4 r8 |
  d4 r8 |
  d4 r8 |
  e4 r8 |
  fis ais,4 |
  h8 fis' fis, |
  h4 r8 |
  a4 r8 |
  cis4 r8 |
  d4 r8 |
  d4 r8 |
  d4 r8 |
  cis8 a' fis |
  fis d fis |
  g4 r8 |
  g8 e gis |
  a4 r8 |
  a,4 r8 |
  a4 r8 |
  a4 r8 |
  a4 cis'8 |
  d cis4 |
  d8 gis,4 |
  a4 r8 |
  a4 r8 |
  d,4 r8 |
  a'4 r8 |
  a,4 r8 |
  d4 r8 |
  d4 r8 |
  d4. \bar ":|"
}

violinPartB = \new Staff \with {
%   instrumentName = "Violino"
  midiInstrument = "violin"
} \violinB

bassoContinuoPartB = \new Staff \with {
%   instrumentName = "Basso continuo"
  midiInstrument = "harpsichord"
} << \clef bass \bcMusicB >>





globalC = {
  \key d \major
  \time 12/8
  \override Score.MetronomeMark #'stencil = ##f
  \tempo 4 = 60
}

violinC = \relative c'' {
  \globalC
  d8. e16 d8 a4 fis'8 e8. fis16 e8 a,4 g'8 |
  fis8. e16 d8 a'8. g16 fis8 e4 a,8 r r a' |
  h,8. cis16 h8 g'4 h,8 a8. h16 a8 fis'4 a,8 |
  g8. a16 g8 e'4 g,8 fis4. r8 r a |
  a a16 h cis h a8 e' cis a a16 h cis h a8 e' cis |
  a a16 h cis d e8 fis gis a gis16 fis e d cis8 d h |
  a a16 h cis h a8 a16 h cis h a2. \bar ":|:"
  a8. h16 a8 e4 cis'8 h8. cis16 h8 e,4 d'8 |
  cis8. h16 a8 e'8. d16 cis8 cis4\trill h8 r r e |
  cis a16 h cis d e8 fis g fis d,16 e fis g a8 h c |
  h g16 a h cis d8 e d cis a16 h cis d e8 g fis |
  e a,16 h cis d e8 g fis e a,16 h cis d e8 fis g |
  fis8. e16 d8 d8. e16 cis8 d2. \bar ":|"
}

bcMusicC = \relative c {
  \globalC
  d4 d8 d4 d8 cis4 cis8 cis4 cis8 |
  d4 d8 d4 d8 a'4 g8 fis4 fis8 |
  g4 g8 g4 g8 fis4 fis8 fis4 fis8 |
  e4 e8 cis4 cis8 d4 d8 fis4 d8 |
  a4 a8 a4 a8 a4 a8 a4 a8 |
  a4. r4 r8 a4. a8 e' e, |
  a4 r8 a4 r8 a2. \bar ":|:"
  a'4 a8 a4 a8 gis4 gis8 gis4 gis8 |
  a4 a8 a4 a8 e4 e8 gis4 gis8 |
  a4 a8 a4 a8 d,4 d8 d4 d8 |
  g4 g8 gis4 gis8 a4 a8 a4 a8 |
  a4 a8 a4 a8 a4 a8 a4 a8 |
  d,4 d8 a'4 a,8 d2. \bar ":|"
}

violinPartC = \new Staff \with {
%   instrumentName = "Violino"
  midiInstrument = "violin"
} \violinC

bassoContinuoPartC = \new Staff \with {
%   instrumentName = "Basso continuo"
  midiInstrument = "harpsichord"
} << \clef bass \bcMusicC >>





globalD = {
  \key d \major
  \time 12/8
  \override Score.MetronomeMark #'stencil = ##f
  \tempo 4 = 160
}

violinD = \relative c'' {
  \globalD
  fis8 a fis e a e d fis d a h cis |
  h cis d e, d' cis d a d cis a cis |
  d a d cis a cis d a fis' e cis e |
  fis d fis e cis e fis d a gis e h' |
  cis a cis h gis h cis a e' e e e |
  a e e e e e a e e e e e |
  a gis fis e fis d cis d e cis d h |
  a e e e e e a e e e e e |
  a e e e e e a cis e cis e a |
  fis gis a h, a' gis a e a cis, e cis |
  a e' a cis, e cis a2. \bar ":|:"
  cis8 e cis h e h cis e cis h e h |
  cis fis d cis fis cis d fis d cis fis cis |
  d h d fis d fis g d g g d g |
  g cis, g' g cis, g' fis cis fis fis cis fis |
  fis h, fis' fis h, fis' e h e e h e |
  ais, fis ais cis ais cis e cis e g fis e |
  d h d d cis h d, h' cis d cis h |
  e, h' cis d cis h fis cis' d e d cis |
  h4. r8 r d fis a fis e a e |
  d fis d a h cis h cis d e, a g |
  fis d fis a d a h g fis g h e |
  cis a gis a cis fis d h a h d g |
  e cis h cis e a fis d fis e cis e |
  fis d fis e cis e fis d a h e d |
  cis a cis e a g fis e d a h cis |
  d a d cis a cis d a d cis a cis |
  d e fis e fis g fis e d a d cis |
  d a a a a a d a a a a a |
  d a a a a a d e fis a, h cis |
  d fis a fis g e d fis a fis g e |
  d a d fis, a fis d2. \bar ":|"
}

bcMusicD = \relative c {
  \globalD
  d4 r8 cis4 r8 d4 r8 fis4 r8 |
  g4 r8 a4 r8 d,4 r8 a'4 r8 |
  d,4 r8 a'4 r8 d,4 r8 a'4 r8 |
  d,4 r8 a'4 r8 d,4 r8 e4 r8 |
  a,4 r8 e'4 r8 a,4 r8 cis' h a |
  cis h a gis fis e cis' h a gis fis e |
  cis' h a gis4 gis8 a4 cis,8 d4 e8 |
  a,4. cis8 h a cis h a gis fis e |
  cis' h a gis fis e a4 r8 a4 r8 |
  d4 r8 e4 r8 a,4. r4 r8 |
  a4. r4 r8 a2. \bar ":|:"
  a'4 r8 gis4 r8 a4 r8 gis4 r8 |
  a4 r8 ais4 r8 h4 r8 ais4 r8 |
  h4 r8 h4 r8 h4 r8 h4 r8 |
  a4 r8 a4 r8 a4 r8 a4 r8 |
  g4 r8 g4 r8 g4 r8 g4 r8 |
  fis4 r8 fis4 r8 fis4 r8 fis4 r8 |
  h,4 r8 h4 r8 h4 r8 h4 r8 |
  cis4 r8 h4 r8 fis'4 r8 fis4 r8 |
  h,4 r8 h4 r8 d4 r8 cis4 r8 |
  d4 r8 fis4 r8 g4 r8 a4 r8 |
  d,4 r8 fis4 r8 g4 r8 g4 r8 |
  a4 r8 a4 r8 h4 r8 h4 r8 |
  cis4 r8 cis4 r8 d4 r8 a4 r8 |
  d,4 r8 a'4 r8 d,4 r8 gis4 r8 |
  a4 r8 cis,4 r8 d4 r8 a'4 r8 |
  d,4 r8 a'4 r8 d,4 r8 a'4 r8 |
  d,4 r8 cis4 r8 d4 r8 a'4 r8 |
  d,4 r8 fis e d fis e d cis h a |
  fis' e d cis h a fis'4 d8 a'4 a,8 |
  d4 r8 a4 r8 d4 r8 a4 r8 |
  d4. r4 r8 d2. \bar ":|"
}

violinPartD = \new Staff \with {
%   instrumentName = "Violino"
  midiInstrument = "violin"
} \violinD

bassoContinuoPartD = \new Staff \with {
%   instrumentName = "Basso continuo"
  midiInstrument = "harpsichord"
} << \clef bass \bcMusicD >>

\score {
  <<
    \violinPartA
    \bassoContinuoPartA
  >>
  \header {
    piece = "Andante"
  }
  \layout { indent = 25 }
  \midi {
    \context {
      \Score
    }
  }
}
\score {
  <<
    \violinPartB
    \bassoContinuoPartB
  >>
  \header {
    piece = "Allegro"
  }
  \layout { indent = 0 }
  \midi {
    \context {
      \Score
    }
  }
}
\score {
  <<
    \violinPartC
    \bassoContinuoPartC
  >>
  \header {
    piece = "Largo"
  }
  \layout { indent = 0 }
  \midi {
    \context {
      \Score
    }
  }
}
\score {
  <<
    \violinPartD
    \bassoContinuoPartD
  >>
  \header {
    piece = "Allegro"
  }
  \layout { indent = 0 }
  \midi {
    \context {
      \Score
    }
  }
}